# CompilerWarning

Represents a compiler warning.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
number | string | A warning number, or comma-separated list of warnings, that you want the compiler to suppress or report. | True
if | bool | If true then the element will be processed; otherwise, skipped. The default is true. | False
unless | bool | If true then the element will be skipped; otherwise, processed. The default is false. | False

### Requirements

Assembly: NAnt.DotNetTasks (0.90.3780.0)